package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleDataScope;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleDataScopeSearchContext;

/**
 * 实体[UserRoleDataScope] 服务对象接口
 */

public interface IUserRoleDataScopeService{
     boolean create(UserRoleDataScope userRoleDataScope) ;
     boolean save(UserRoleDataScope userRoleDataScope) ;
     boolean checkKey(UserRoleDataScope userRoleDataScope) ;
     UserRoleDataScope getDraft(UserRoleDataScope userRoleDataScope) ;
     boolean update(UserRoleDataScope userRoleDataScope) ;
     UserRoleDataScope get(String userRoleDataScopeId) ;
     UserRoleDataScope get(UserRoleDataScope userRoleDataScope) ;
     boolean remove(String userRoleDataScopeId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleDataScope> searchDefault(UserRoleDataScopeSearchContext context) ;

    /**
     * 根据数据对象能力查询
     */
     Page<UserRoleDataScope> selectByUserRoleData(String userroledataid) ;
     List<UserRoleDataScope> selectByUserRoleData2(String userroledataid);

}
